%define oldname octave-
%def_with _octave_arch
%define octave_pkg_version 0.2.15
%define octave_pkg_name multicore
%define octave_descr_name Multicore
Name: octave-multicore
Version: 0.2.15
Release: alt2.M70T.1
Summary: Parallel Processing on Multiple Cores

Group: Sciences/Mathematics
License: GPL version 2 or later
URL: http://octave.sf.net

Source0: in/%octave_pkg_name-%version.tar.gz

BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel octave-devel
%else
BuildArch: noarch
%endif
Provides: octave(multicore) = %version
# Depends: octave (>= 2.9.12)
Requires: octave >= 2.9.12


%description
Octave-Forge - Extra packages for GNU Octave.
This package contains the %octave_descr_name GNU Octave extension.

Extension Description:
An Octave-forge package providing functions for

%prep
%setup -n %octave_pkg_name-%version

%build
octave -q -H --no-site-file --eval "pkg build -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
octave -q -H --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -local -nodeps %octave_pkg_name-%octave_pkg_version.tar.gz"

%files
%_datadir/octave/packages/%octave_pkg_name-%octave_pkg_version
%if_with _octave_arch
%_libdir/octave/packages/%octave_pkg_name-%octave_pkg_version
%endif

%changelog
* Sun Aug 23 2015 Cronport Service <cronport@altlinux.org> 0.2.15-alt2.M70T.1
- backport

* Wed Jan 15 2014 Cronport Service <cronport@altlinux.org> 0.2.15-alt1.M70T.1
- backport

* Mon Nov 28 2011 Igor Vlasenko <viy@altlinux.ru> 0.2.15-alt1
- initial import by octave-package-builder

